package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Switch choose for binding device template.
 */
@ApiModel(description = "Switch choose for binding device template.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class DeviceBindOpenApiVo   {
  @JsonProperty("mac")
  private String mac;

  @JsonProperty("deviceTemplateId")
  private String deviceTemplateId;

  public DeviceBindOpenApiVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Switch MAC address, like AA-BB-CC-DD-EE-FF.
   * @return mac
  */
  @ApiModelProperty(value = "Switch MAC address, like AA-BB-CC-DD-EE-FF.")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public DeviceBindOpenApiVo deviceTemplateId(String deviceTemplateId) {
    this.deviceTemplateId = deviceTemplateId;
    return this;
  }

  /**
   * Switch device template ID.
   * @return deviceTemplateId
  */
  @ApiModelProperty(value = "Switch device template ID.")


  public String getDeviceTemplateId() {
    return deviceTemplateId;
  }

  public void setDeviceTemplateId(String deviceTemplateId) {
    this.deviceTemplateId = deviceTemplateId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceBindOpenApiVo deviceBindOpenApiVo = (DeviceBindOpenApiVo) o;
    return Objects.equals(this.mac, deviceBindOpenApiVo.mac) &&
        Objects.equals(this.deviceTemplateId, deviceBindOpenApiVo.deviceTemplateId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mac, deviceTemplateId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceBindOpenApiVo {\n");
    
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    deviceTemplateId: ").append(toIndentedString(deviceTemplateId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

